
QGIS Application - Bug report #15191

When cancel "script opening", occurs an error

2016-07-02 02:09 AM - zimirrr leonid

Status: Rejected

Priority: Low

Assignee:

Category: Processing/GUI

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 23130

Description

1. Open qgis

2. In processing toolbox:

    Scripts -> Tools -> Create new script

3. Press open and than cancel without any selection

In python error log:

"2016-07-02T12:06:26    1    Traceback (most recent call last):

File "C:/PROGRA~1/QGISES~1/apps/qgis/./python/plugins\\processing\\gui\\ScriptEditorDialog.py", line 206, in openScript

with codecs.open(self.filename, 'r', encoding='utf-8') as f:

File "C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\codecs.py", line 881, in open

file = builtin.open(filename, mode, buffering)

IOError: [Errno 22] invalid mode ('rb') or filename: u''"

History

#1 - 2016-07-08 01:15 AM - Alexander Bruy

- Resolution set to worksforme

- OS version deleted (7)

- Operating System deleted (windows)

- Status changed from Open to Rejected

- Category changed from Forms to Processing/GUI

Works fine in master and 2.14.3
